// component/plus/plus.js
const wxService = require('../../utils/wxService')

Component({
  /**
   * 组件的属性列表
   */
  properties: {
    skuList: {
      type: Array,
      value: [],
    },
    plusBgi:{
      type: Object,
      value: null
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    currentTab:'999'
  },

  /**
   * 组件的方法列表
   */
  methods: {
    switchNav(e){
      this.setData({
        currentTab: e.currentTarget.dataset.current,
        id: e.currentTarget.dataset.id
      })
    },
    payPlus() {
      if (!this.data.id){
        wx.showToast({
          title: '请先选择会员卡',
          icon: 'none',
          mask: true
        })
        return
      }
      // 下单
      wx.showLoading({
        title: '加载中'
      })
      // 获取支付参数
      wxService.post(`/sale/payment/premium/buyer/preorder/wxa`, {
        premiumId: this.data.id
      }).then(res => {
        if (!res) return false;
        const { result, data } = res && res.data || res && res.result
        if (result == 0) {
          console.log('data', data)
          wx.requestPayment(Object.assign({
            success(res) {
              wx.hideLoading()
              // wx.showToast({
              //   title: '支付成功',
              //   icon: 'none',
              //   mask: true
              // })
              // 支付成功页面
              console.log(res)
              wxService.router('/subPackage/page/pages/paymentStatus/paymentStatus')
            },
            fail(res) {
              wx.hideLoading()
              wx.showToast({
                title: '支付失败',
                icon: 'none',
                mask: true
              })
            }
          }, data))
        }
      })
    },
    
  }
})
